Elm_Cnp_Event_Selection_Changed Struct Reference
Elementary » CopyPaste

Event to notify when a display server's selection has changed Only sent for PRIMARY and CLIPBOARD selections. More...

`#include <elm_cnp.h>`

## Data Fields

Elm_Sel_Type | type
| The selection type.
unsigned int | seat_id
| The seat on which the selection changed, or `NULL` for "default".
void * | display
| The display connection object, `NULL` under X11.
Eina_Bool | exists
| `EINA_TRUE` if the selection has an owner

## Detailed Description

Event to notify when a display server's selection has changed Only sent for PRIMARY and CLIPBOARD selections.

Since
  1.20